//
//  NSImage_Category.h
//  MacGourmet
//
//  Created by Michael Dupuis on 8/10/06.
//  Copyright 2006 Advenio. All rights reserved.
//

#import <Cocoa/Cocoa.h>

@interface NSImage (ADVImageExtensions)

- (NSData *)scaledImageDataWithSize:(NSSize)size compressionRatio:(float)compressionRatio;
- (NSData *)scaledImageDataWithSize:(NSSize)size;
- (NSSize)scaleTo:(NSSize)size usingOriginal:(NSSize)original;
- (NSImage *)scaleAndClipImageWithClipSize:(float)clipSize imageSize:(float)imageSize;
- (NSImage *)scaleAndClipImageWithClipSizeWidth:(float)clipSizeWidth 
								 clipSizeHeight:(float)clipSizeHeight imageSize:(float)imageSize;
- (NSImage*)imageFromCGImageRef:(CGImageRef)image;
- (NSImage *)imageWithRoundedCorners;

@end
