//
//  NSWindow_Category.h
//  MacGourmet
//
//  Created by Michael Dupuis on Fri June 18 2004.
//  Copyright (c) 2004 Advenio LLC. All rights reserved.
//

#import <Cocoa/Cocoa.h>

#define UNREG_TIMER_VALUE 30

@interface NSWindow(AORegistrationExtensions)

- (NSTextField *)addUnregisteredText;
- (void)removeUnregisteredText:(NSTextField *)textField;
- (NSTextField *)createNewTextField:(NSRect)frame;
- (NSDictionary *)getFontAttributesForRect:(NSRect)rect;
- (int)getHeightForFont:(NSFont *)font;

@end