//================================================================================
//
//	TZDragUtil.h
//
//	Last Modified: 11-APR-03
//
//	Written by Tom Zepko
//
//	This file is part of a collection of source files for Cocoa programming.
//	You may use these files directly in your applications, or borrow the
//	techniques and adapt them to you needs.
//
//	The ideas and solutions contained herein are my own and are not approved
//	in any way by Apple Computer. They have been tested in the context of the
//	present release of Cocoa, but as Cocoa itself evolves, these solutions may
//	no longer be applicable or changes may be required in the code.
//
//	Let these ideas stimulate your own thinking.
//
//	For explanations, usage guidelines, and updates, visit:
//		http://homepage.mac.com/tom_zepko/
//
//	Comments, bug reports, and suggestions for improvement are welcome:
//		mailto:tom_zepko@mac.com
//
//================================================================================

#import <Cocoa/Cocoa.h>


void  dragTextToControl (NSControl *targetControl,
			NSCell *targetCell,
			id draggingSource);

void  dragTextToTableView (NSTableView *targetControl,
			int targetRow, int targetCol,
			id draggingSource);

